
##############################################################
# allshrc.02.sh
#echo "allshrc.02.sh"
#
# Start switching shell
#

case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    # (both login- and non-login)
    #echo "Interactive shell!"

    if test "$ALREADY_ZSH" = "0" -o ! -n "$ALREADY_ZSH"
    then
        if test "$SHELL" = "/bin/zsh" -o "$SHELL" = "/usr/bin/zsh" -o "$SHELL" = "/usr/local/bin/zsh"
        then
            ALREADY_ZSH="1"
        else
            ALREADY_ZSH="0"
        fi
    fi

    if test "$ALREADY_BASH" = "0" -o ! -n "$ALREADY_BASH"
    then
        if test "$SHELL" = "/bin/bash" -o "$SHELL" = "/usr/bin/bash" -o "$SHELL" = "/usr/local/bin/bash"
        then
            ALREADY_BASH="1"
        else
            ALREADY_BASH="0"
        fi
    fi

    if test "$ALREADY_KSH" = "0" -o ! -n "$ALREADY_KSH"
    then
        if test "$SHELL" = "${HOME}/ast/bin/ksh" -o "$SHELL" = "/opt/ast/bin/ksh" -o "$SHELL" = "/bin/ksh93" -o "$SHELL" = "/usr/bin/ksh93" -o "$SHELL" = "/usr/local/bin/ksh93" -o "$SHELL" = "/usr/dt/bin/ksh" -o "$SHELL" = "/usr/dt/bin/dtksh" -o "$SHELL" = "/bin/ksh" -o "$SHELL" = "/usr/bin/ksh" -o "$SHELL" = "/usr/local/bin/ksh" -o "$SHELL" = "/bin/mksh" -o "$SHELL" = "/bin/pdksh"
        then
            ALREADY_KSH="1"
        else
            ALREADY_KSH="0"
        fi
    fi

    if test "$ALREADY_SH" = "0" -o ! -n "$ALREADY_SH"
    then
        if test "$SHELL" = "/usr/xpg4/bin/sh" -o "$SHELL" = "/usr/bin/jsh" -o "$SHELL" = "/bin/ash" -o "$SHELL" = "/bin/dash"
        then
            ALREADY_SH="1"
        else
            ALREADY_SH="0"
        fi
    fi

    export ALREADY_ZSH
    export ALREADY_BASH
    export ALREADY_KSH
    export ALREADY_SH


    #if [ -n "$HOME_SWITCH_SHELL" ]
    #then
    # if [ "$HOME_SWITCH_SHELL" -gt 0 ]
    # then
    #  :
    #  echo PAH ~/.switch_shell
    # fi
    #else
    #  echo SUCK ~/.switch_shell

    case "$BESTSHELL" in
        # ftp://ftp.oreilly.com/pub/examples/power_tools/unix/split/sh_logout
        #echo "Setting logout behaviour"
        #trap '. $HOME/.sh_logout.sh ; exit' 0

        *zsh*|*bash*)
        :
        ;;
        *)
        trap '. $HOME/.sh_logout.sh 2> /dev/null ' 0
    esac

    case "$BESTSHELL" in
        *zsh*)
        if test "$ALREADY_ZSH" = "0"
        then
            test -e ${HOME}/.switch_shell && . ${HOME}/.switch_shell -d $BESTSHELL -i
        fi
        ;;

        *bash*)
        if test "$ALREADY_BASH" = "0"
        then
            test -e ${HOME}/.switch_shell && . ${HOME}/.switch_shell -d $BESTSHELL -i
        fi
        ;;

        *ksh*)
        if test "$ALREADY_KSH" = "0"
        then
            test -e ${HOME}/.switch_shell && . ${HOME}/.switch_shell -d $BESTSHELL -ims
        fi
        ;;

        *ash*)
        if test "$ALREADY_SH" = "0"
        then
            test -e ${HOME}/.switch_shell && . ${HOME}/.switch_shell -d $BESTSHELL -ims
        fi
        ;;

        *jsh*)
        if test "$ALREADY_SH" = "0"
        then
            test -e ${HOME}/.switch_shell && . ${HOME}/.switch_shell -d $BESTSHELL -is
        fi
        ;;

        *)
        :
    esac

    #fi

    # END OF STUFF FOR INTERACTIVE SHELLS ONLY
esac


